/*
 * $Id: RequiredValidator.java,v 1.2 2006/04/21 15:04:21 sugimotokenichi Exp $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/14
 */
package feat2.validation;

import java.util.Map;

import org.apache.commons.validator.GenericValidator;

/**
 * 値が存在するかどうか検証する。
 * @author SUGIMOTO Ken-ichi
 */
public class RequiredValidator implements SingleValueValidator {

    public boolean validate(String value) {

       return !GenericValidator.isBlankOrNull(value);

    }

    public String getDefaultMessageId() {
        return "error.validation.required";
    }

    public Map getKeyrowds() {
        return null;
    }


}
